QCA::KDFContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::KDFContext:
[legend]

## Public Member Functions

| KDFContext (Provider *p, const QString &type)
virtual SymmetricKey | makeKey (const SecureArray &secret, const InitializationVector &salt, unsigned int keyLength, int msecInterval, unsigned int *iterationCount)=0
virtual SymmetricKey | makeKey (const SecureArray &secret, const InitializationVector &salt, unsigned int keyLength, unsigned int iterationCount)=0
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Key derivation function provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want KeyDerivationFunction instead.

## Constructor & Destructor Documentation

## KDFContext()

QCA::KDFContext::KDFContext | ( | Provider * | p,
|  | const QString & | type )

inline

Standard constructor.

Parameters

  p | the provider associated with this context
  type | the name of the KDF provided by this context (including algorithm)

References QCA::BasicContext::BasicContext(), and QCA::Provider::Context::type().

## Member Function Documentation

## makeKey() [1/2]

virtual SymmetricKey QCA::KDFContext::makeKey | ( | const SecureArray & | secret,
|  | const InitializationVector & | salt,
|  | unsigned int | keyLength,
|  | unsigned int | iterationCount )

pure virtual

Create a key and return it.

Parameters

  secret | the secret part (typically password)
  salt | the salt / initialization vector
  keyLength | the length of the key to be produced
  iterationCount | the number of iterations of the derivation algorithm

## makeKey() [2/2]

virtual SymmetricKey QCA::KDFContext::makeKey | ( | const SecureArray & | secret,
|  | const InitializationVector & | salt,
|  | unsigned int | keyLength,
|  | int | msecInterval,
|  | unsigned int * | iterationCount )

pure virtual

Create a key and return it.

Parameters

  secret | the secret part (typically password)
  salt | the salt / initialization vector
  keyLength | the length of the key to be produced
  msecInterval | the maximum time to compute the key, in milliseconds
  iterationCount | a pointer to store the number of iterations of the derivation algorithm

The documentation for this class was generated from the following file:

- qcaprovider.h